
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(syncthingplasmoid_varname "SYNCTHINGPLASMOID")
set(syncthingplasmoid_static_varname "SYNCTHINGPLASMOID")
set(SYNCTHINGPLASMOID_DISPLAY_NAME "Syncthing Plasmoid")
set(SYNCTHINGPLASMOID_AUTHOR "Martchus")
set(SYNCTHINGPLASMOID_VERSION "0.9.1")
set(SYNCTHINGPLASMOID_VERSION_MAJOR "0")
set(SYNCTHINGPLASMOID_VERSION_MINOR "9")
set(SYNCTHINGPLASMOID_VERSION_PATCH "1")
set(SYNCTHINGPLASMOID_GIT_REV_COUNT "")
set(SYNCTHINGPLASMOID_GIT_LAST_COMMIT_ID "")
set(SYNCTHINGPLASMOID_URL "https://github.com/Martchus/syncthingtray")
set(SYNCTHINGPLASMOID_DESCRIPTION "Plasmoid to interact with Syncthing")
set(SYNCTHINGPLASMOID_LICENSE "")

# define general config
set(SYNCTHINGPLASMOID_IS_HEADER_ONLY NO)
set(SYNCTHINGPLASMOID_HAS_SHARED_LIB ON)
set(SYNCTHINGPLASMOID_HAS_STATIC_LIB OFF)
set(SYNCTHINGPLASMOID_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(SYNCTHINGPLASMOID_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(SYNCTHINGPLASMOID_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(SYNCTHINGPLASMOID_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingplasmoid/cmake/modules")
set(SYNCTHINGPLASMOID_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingplasmoid/cmake")
set(SYNCTHINGPLASMOID_PRIVATE_QT_MODULES "Network;Qml;Widgets;Quick;Core")
set(SYNCTHINGPLASMOID_PRIVATE_KF_MODULES "Plasma")
set(SYNCTHINGPLASMOID_PUBLIC_QT_MODULES "")
set(SYNCTHINGPLASMOID_PUBLIC_KF_MODULES "")
set(SYNCTHINGPLASMOID_HAS_QT_TRANSLATION_FILES YES)
set(SYNCTHINGPLASMOID_QT_RESOURCES )

# include files for shared/static specific configuration
set(SYNCTHINGPLASMOID_HAS_SHARED_LIB NO)
set(SYNCTHINGPLASMOID_HAS_STATIC_LIB NO)
file(GLOB SYNCTHINGPLASMOID_SPECIFIC_CONFIG_FILES
    LIST_DIRECTORIES OFF
    "${CMAKE_CURRENT_LIST_DIR}/syncthingplasmoid?*Config.cmake"
)
foreach(SPECIFIC_CONFIG_FILE IN LISTS SYNCTHINGPLASMOID_SPECIFIC_CONFIG_FILES)
    include("${SPECIFIC_CONFIG_FILE}")
endforeach()
unset(SPECIFIC_CONFIG_FILE)

# set default target: prefer shared lib over static lib
if(SYNCTHINGPLASMOID_HAS_SHARED_LIB)
    set(SYNCTHINGPLASMOID_LIB "syncthingplasmoid")
else()
    set(SYNCTHINGPLASMOID_LIB "syncthingplasmoid_static")
endif()

# define macro to ease use of library in projects following conventions of c++utilities' build script
macro(use_syncthingplasmoid)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${SYNCTHINGPLASMOID_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${SYNCTHINGPLASMOID_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(SYNCTHINGPLASMOID_LINKAGE AUTO_LINKAGE)
    else()
        set(SYNCTHINGPLASMOID_LINKAGE "${ARG0}")
    endif()
    link_against_library(SYNCTHINGPLASMOID "${SYNCTHINGPLASMOID_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES
        ${SYNCTHINGPLASMOID_PUBLIC_QT_MODULES}
        ${SYNCTHINGPLASMOID_PRIVATE_QT_MODULES}
    )
    list(APPEND IMPORTED_KF_MODULES
        ${SYNCTHINGPLASMOID_PUBLIC_KF_MODULES}
        ${SYNCTHINGPLASMOID_PRIVATE_KF_MODULES}
    )
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(SYNCTHINGPLASMOID_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES syncthingplasmoid)
    endif()
endmacro()
